/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftjan18
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftjan18` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftjan18`;

/*Table structure for table `agentosiguranja` */

DROP TABLE IF EXISTS `agentosiguranja`;

CREATE TABLE `agentosiguranja` (
  `AgentID` int(11) NOT NULL,
  `Ime` varchar(255) DEFAULT NULL,
  `Prezime` varchar(255) DEFAULT NULL,
  `Username` varchar(255) DEFAULT NULL,
  `Password` varchar(255) DEFAULT NULL,
  `StrucnaSprema` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`AgentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `agentosiguranja` */

insert  into `agentosiguranja`(`AgentID`,`Ime`,`Prezime`,`Username`,`Password`,`StrucnaSprema`) values (1,'Ivana','Ivanovic','ivana','ivana1','VI'),(2,'Marko','Markovic','marko','marko1','VII'),(3,'Dragana','Draganic','dragana','dragana1','VII');

/*Table structure for table `pokrice` */

DROP TABLE IF EXISTS `pokrice`;

CREATE TABLE `pokrice` (
  `PokriceID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`PokriceID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `pokrice` */

insert  into `pokrice`(`PokriceID`,`Naziv`) values (1,'Osnovni rizik'),(2,'Izlivanje vode iz instalacija'),(3,'Provalna kradja i razabojnistvo'),(4,'Lom stakla'),(5,'Lom masina'),(6,'Rizici iznenadjenja'),(7,'Odgovornost prema drugim licima'),(8,'Opsta odgovornost');

/*Table structure for table `polisa` */

DROP TABLE IF EXISTS `polisa`;

CREATE TABLE `polisa` (
  `PolisaID` int(11) NOT NULL,
  `Klijent` varchar(255) DEFAULT NULL,
  `PovrsinaStana` decimal(12,2) DEFAULT NULL,
  `VrednostPoKvM` decimal(12,2) DEFAULT NULL,
  `GradjevinskaVrednost` decimal(12,2) DEFAULT NULL,
  `UkupnaPremija` decimal(12,2) DEFAULT NULL,
  `DatumOd` date DEFAULT NULL,
  `DatumDo` date DEFAULT NULL,
  `AgentID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PolisaID`),
  KEY `AgentID` (`AgentID`),
  CONSTRAINT `polisa_ibfk_1` FOREIGN KEY (`AgentID`) REFERENCES `pokrice` (`PokriceID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `polisa` */

/*Table structure for table `predmetosiguranja` */

DROP TABLE IF EXISTS `predmetosiguranja`;

CREATE TABLE `predmetosiguranja` (
  `PredmetID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`PredmetID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `predmetosiguranja` */

insert  into `predmetosiguranja`(`PredmetID`,`Naziv`) values (1,'Gradjevinski objekat'),(2,'Stvari domacinstva'),(3,'Novac'),(4,'Prozori i vrata na objektu'),(5,'Instalacije u sastavu objekta'),(6,'Clanovi domacinstva');

/*Table structure for table `stavkapolise` */

DROP TABLE IF EXISTS `stavkapolise`;

CREATE TABLE `stavkapolise` (
  `PolisaID` int(11) NOT NULL,
  `RB` int(11) NOT NULL,
  `PredmetID` int(11) DEFAULT NULL,
  `PokriceID` int(11) DEFAULT NULL,
  `SumaOsiguranja` decimal(12,2) DEFAULT NULL,
  `ProcenatAmortizacije` int(11) DEFAULT NULL,
  `Premija` decimal(12,2) DEFAULT NULL,
  PRIMARY KEY (`PolisaID`,`RB`),
  KEY `PredmetID` (`PredmetID`),
  KEY `PokriceID` (`PokriceID`),
  CONSTRAINT `stavkapolise_ibfk_1` FOREIGN KEY (`PolisaID`) REFERENCES `polisa` (`PolisaID`),
  CONSTRAINT `stavkapolise_ibfk_2` FOREIGN KEY (`PredmetID`) REFERENCES `predmetosiguranja` (`PredmetID`),
  CONSTRAINT `stavkapolise_ibfk_3` FOREIGN KEY (`PokriceID`) REFERENCES `pokrice` (`PokriceID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `stavkapolise` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
